mysql_stat
mysql_thread_id
MySQL Functions
PHP Manual

# mysql_tablename

(PHP 4, PHP 5, PECL mysql:1.0)

mysql_tablename — Get table name of field

### Description

string mysql_tablename ( resource `$result` , int `$i` )

Retrieves the table name from a `result` .

This function deprecated. It is preferable to use mysql_query() to issue a SQL SHOW TABLES [FROM db_name] [LIKE 'pattern'] statement instead.

### Parameters

`result`

  A result pointer resource that's returned from mysql_list_tables().

`i`

  The integer index (row/table number)

### Return Values

The name of the table on success, or `FALSE` on failure.

Use the mysql_tablename() function to traverse this result pointer, or any function for result tables, such as mysql_fetch_array().

### Examples

Example #1 mysql_tablename() example

`<?php
mysql_connect("localhost", "mysql_user", "mysql_password");
$result = mysql_list_tables("mydb");
$num_rows = mysql_num_rows($result);
for ($i = 0; $i < $num_rows; $i++) {
echo "Table: ", mysql_tablename($result, $i), "\n";
}
mysql_free_result($result);
?>`

### Notes

> Note: The mysql_num_rows() function may be used to determine the number of tables in the result pointer.

### See Also

- mysql_list_tables()
- mysql_field_table()
- mysql_db_name()

mysql_stat
mysql_thread_id
MySQL Functions
PHP Manual